/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef DRAWTEXT_H
#define DRAWTEXT_H


/* Possible allignement of the text */
enum
{
  TEXT_LEFT,
  TEXT_CENTER,
  TEXT_RIGHT
};

void  drawtext_begin          (void);
void  drawtext_end            (void);
float drawtext_stringWidth    (const char *string);
void  drawtext_drawString     (GLfloat x,
                               GLfloat y,
                               GLfloat factx,
                               GLfloat facty,
                               int align,
                               float text_max_width,
                               int text_maximize,
                               int draw_bg,
                               const char *text);

#endif /* guard */
